# Generated from carrierwave-secure-2.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name carrierwave-secure

Name: rubygem-%{gem_name}
Version: 2.0.1
Release: 1%{?dist}
Summary: Provides strong encryption to CarrierWave
License: LGPL-3.0
URL: https://framagit.org/corpora/carrierwave-secure
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4.0
# BuildRequires: rubygem(activerecord) >= 5.0
# BuildRequires: rubygem(benchmark-ips) >= 2.0
# BuildRequires: rubygem(benchmark-ips) < 3
# BuildRequires: rubygem(benchmark-memory) >= 0.1
# BuildRequires: rubygem(benchmark-memory) < 1
# BuildRequires: rubygem(byebug) >= 11.0
# BuildRequires: rubygem(byebug) < 12
# BuildRequires: rubygem(database_cleaner)
# BuildRequires: rubygem(faker) >= 2.0
# BuildRequires: rubygem(faker) < 3
# BuildRequires: rubygem(pg) >= 1.0
# BuildRequires: rubygem(pg) < 2
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(simplecov) >= 0.18.0
# BuildRequires: rubygem(simplecov) < 0.19
BuildArch: noarch

%description
Provides scallable strong encryption to CarrierWave, the classier solution for
file uploads from Ruby aplications.
CarrierWave Secure uses Advanced encryption standard in Galois/Counter mode to
give quantum-resistant protection to your application data files with great
performances.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Aug 23 2021 mockbuilder - 2.0.1-1
- Initial package
